Will MGI PhotoSuite 5 Run on XP with SP2

  Giggle n' Bits 01:03 03 Aug 2005
Locked

and not cause any problems ? is there any patch required ?

I am not sure but has MGI now gone to Roxio ? or is there software different.

  €dstowe 07:41 03 Aug 2005

click here and scroll down the page to system requirements

  bruno 08:05 03 Aug 2005

I have had version 4 operating successfully for 3 years on XP pro and have just installed it on XP home.

  Giggle n' Bits 11:23 03 Aug 2005

installed will/does it cause any problems ?

  dth 12:03 03 Aug 2005

same here version 4 running xp with sp2

  Giggle n' Bits 12:58 03 Aug 2005

I will try it and see how it goes.

This thread is now locked and can not be replied to.

Elsewhere on IDG sites

Xiaomi Mi Mix 2 review

See mcbess's iconic style animated for Mercedes-Benz

iPhone X news: Release date, price, new features & specs

Black Friday 2017 : date, sites participants & bonnes affaires